Subject: Re: pcspkr device, pnpPNP,100

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 12 Nov 2007 11:09:51 +1100

On Sun, 2007-11-11 at 19:07 -0500, Jon Smirl wrote:
> 
> This code should be in a device driver so that it can be selected with
> Kconfig. Can we #ifdef it now as a hint? I could make it a device
> driver but I don't have any hardware to test it on.
> 
> I'm trying to get the mpc5200 kernel to build with platform bus turned
> off (only of_platform bus). I'm almost there, just a couple more odd
> places to patch up.

Just don't do platform ifdef's, ever.

What you can do however is Kconfig options that get selected by
platforms that need a given service, and then use that as an ifdef for
that service.

A bit like how we select what interrupt controller drivers to built-in
for example.

Ben.